Summary
Get Details of a Workflow
Description
Get the details of a Workflow by Workflow name.
Route
GET /automation-studio/workflows/detailed/:name
Roles
admin
engineering
support
apiread
Parameters
DetailsExampleSchema
| Name |
Type |
Required |
Description |
| name |
string |
yes |
Name of Workflow to get Workflow details. |
Copied to Clipboard
{
"type": "object",
"properties": {},
"required": [],
"additionalProperties": false
}
Return
DetailsExampleSchema
| Name |
Type |
Description |
| workflow_details |
object |
Workflow details matching the Workflow name. |
Copied to Clipboard
{
"name": "My Workflow",
"type": "automation",
"tasks": {
"workflow_start": {
"name": "workflow_start",
"summary": "workflow_start",
"groups": [],
"x": 0.36142061281337046,
"y": 0.502092050209205
},
"workflow_end": {
"name": "workflow_end",
"summary": "workflow_end",
"groups": [],
"x": 0.36142061281337046,
"y": 0.502092050209205
},
"error_handler": {
"name": "childJob",
"summary": "ullamco enim tempor sit",
"description": "dolore",
"app": "do enim cillum",
"variables": {
"error": ""
},
"groups": [
"2c43b11fafa57dd675190418",
"e645f6382037d4f115d89f02",
"a44f4c4e22416135844690fb",
"55975628ec9bd890cac36d76",
"ad6866e6f8b1dd39faa9ccc8"
],
"x": 0.36142061281337046,
"y": 0.502092050209205,
"type": "operation",
"deprecated": true,
"scheduled": true,
"retrySettings": {
"state": [
"failure",
"failure"
],
"autoRetry": false,
"limit": 10,
"delay": 1000,
"count": 5
}
}
},
"transitions": {},
"groups": [
"346c8ae6e22d07ce022d2e74",
"91b8f10334467b3821695559",
"d4d568305c73b96d5360ec21",
"40a7c9d1fa73aa963bc3ca91"
],
"_id": "4321abcdef694aa79dae47ad",
"description": "sed ullamco consequat magna est",
"preAutomationTime": 250000,
"font_size": 12,
"created": "2013-02-25T00:42:20.178Z",
"created_by": "22c4091d00d660c2a722468c",
"last_updated": "2007-02-05T19:59:56.579Z",
"last_updated_by": "9a7073c24f68adfd99f963d1",
"lastUpdatedVersion": "et enim cupidatat dolor",
"tags": [],
"canvasVersion": 2
}